/*全局自适应高度*/
function autoFlashHeight(){
    var headerHeight = $(".header").height();
    var bottomContentHeight = $(".bottom-content").height();
    var toolsBar = $(".tools-bar").height();
    $(".content").height($(window).height()-headerHeight);
    $(".main-side").height($(window).height()-headerHeight-2);
    $(".fluid-content").height($(window).height()-headerHeight-1);
    $(".side-content").height($(window).height()-headerHeight );
    $(".poj-list").height($(window).height()-headerHeight);
    $(".form-list").height($(window).height()-headerHeight-50 );
    $(".main-data-top").height($(window).height()-headerHeight-toolsBar-bottomContentHeight-2);
    $(".main-data").height($(window).height()-headerHeight);
    $(".main-side .tab-content").height($(window).height()-headerHeight-38);
};
$(window).resize(autoFlashHeight);
/*全局自适应高度结束*/
$(function(){
    /*侧滑*/
    $(".open-sidebar").click(function(){
        $(".slide-sidebar").animate({width:"800"}).addClass("open");
    });
    $("body").click(function(event){
        var e = event || window.event; //浏览器兼容性
        if(!$(event.target).is('a')) {
            var elem = event.target || e.srcElement;
            while (elem) { //循环判断至跟节点，防止点击的是div子元素
                if (elem.className == "open-sidebar" || elem.className == 'slide-sidebar open') {
                    return false;
                }
                elem = elem.parentNode;
            }
            $(".slide-sidebar").animate({width:"0"}).removeClass("open")// 关闭处理
        }

    });
    /*侧滑*/
    /*工具提示*/
    $('*[data-toggle=tooltip]').mouseover(function() {
        $(this).tooltip('show');
    });
    /*工具提示*/
});
/**
 * 设置本地缓存
 *
 * @param {String} key
 * @param {String|Number} value
 * @return {void}
 */
function setLocalCache(key, value) {
    const storage = window.localStorage;
    if (!storage || key === '' || value === '') {
        return;
    }

    storage.setItem(key, value);
}

/**
 * 获取本地缓存
 *
 * @param {String} key
 * @return {String}
 */
function getLocalCache(key) {
    const storage = window.localStorage;
    if (!storage || key === '') {
        return null;
    }

    return storage.getItem(key);
}

function removeLocalCache(key) {
    const storage = window.localStorage;
    if (!storage || key === '') {
        return null;
    }
    return storage.removeItem(key);
}